Foxit PDF SDK

Public Member Functions | Properties | List of all members
foxit.pdf.PageBasicInfo Class Reference

Inherits SystemIDisposable.

## Public Member Functions
| PageBasicInfo (float width, float height, Rotation rotation)
| Constructor, with parameters. More...
| PageBasicInfo ()
| Constructor.
| PageBasicInfo (PageBasicInfo page_info)
| Constructor, with another page basic information object. More...
void | Set (float width, float height, Rotation rotation)
| Set value. More...

## Properties
float | height`[get, set]`
| Page height (unit is 1/72 inch).
Rotation | rotation`[get, set]`
| Page rotation. Please refer to values starting from foxit.common.Rotation.e_Rotation0 and this should be one of these values.
float | width`[get, set]`
| Page width (unit is 1/72 inch).

## Detailed Description

This class represents page basic information, such as page width, page height, and page rotation. This is used as the return type of function PDFDoc.GetPageBasicInfo .

## Constructor & Destructor Documentation

## ◆ PageBasicInfo() [1/2]

foxit.pdf.PageBasicInfo.PageBasicInfo | ( | float | width,
|  | float | height,
|  | Rotation | rotation
| ) |  |
| inline

Constructor, with parameters.

Parameters

  [in] | width | Page width (unit is 1/72 inch).
  [in] | height | Page height (unit is 1/72 inch).
  [in] | rotation | Page rotation. Please refer to values starting from foxit.common.Rotation.e_Rotation0 and this should be one of these values except foxit.common.Rotation.e_RotationUnknown .

## ◆ PageBasicInfo() [2/2]

foxit.pdf.PageBasicInfo.PageBasicInfo | ( | PageBasicInfo | page_info | ) |
| inline

Constructor, with another page basic information object.

Parameters

  [in] | page_info | Another page basic information object.

## Member Function Documentation

## ◆ Set()

void foxit.pdf.PageBasicInfo.Set | ( | float | width,
|  | float | height,
|  | Rotation | rotation
| ) |  |
| inline

Set value.

Parameters

  [in] | width | Page width (unit is 1/72 inch).
  [in] | height | Page height (unit is 1/72 inch).
  [in] | rotation | Page rotation. Please refer to values starting from foxit.common.Rotation.e_Rotation0 and this should be one of these values except foxit.common.Rotation.e_RotationUnknown .

Returns
  None.